logging_gsmtap.c File Reference
Osmocom logging framework

libosmocore log output encapsulated in GSMTAP. More...

`#include "../config.h"`
`#include <stdarg.h>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <stdbool.h>`
`#include <unistd.h>`
`#include <strings.h>`
`#include <osmocom/core/talloc.h>`
`#include <osmocom/core/utils.h>`
`#include <osmocom/core/gsmtap.h>`
`#include <osmocom/core/gsmtap_util.h>`
`#include <osmocom/core/logging.h>`
`#include <osmocom/core/timer.h>`
`#include <osmocom/core/byteswap.h>`
`#include <osmocom/core/thread.h>`

## Macros

#define | GSMTAP_LOG_MAX_SIZE 4096

## Functions

static void | _gsmtap_raw_output (struct log_target *target, int subsys, unsigned int level, const char *file, int line, int cont, const char *format, va_list ap)
struct log_target * | log_target_create_gsmtap (const char *host, uint16_t port, const char *ident, bool ofd_wq_mode, bool add_sink)
| Create a new logging target for GSMTAP logging. More...

## Variables

static __thread uint32_t | logging_gsmtap_tid

## Detailed Description

libosmocore log output encapsulated in GSMTAP.

Encapsulating the log output inside GSMTAP frames allows us to observer protocol traces (of Um, Abis, A or any other interface in the Osmocom world) with synchronous interspersed log messages.